classification
Title: Optional extensions in setup.py
Type: Stage:
Components: Distutils, Distutils2 Versions: Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: georg.brandl, tarek
Priority: normal Keywords: patch

Created on 2009-03-28 00:42 by georg.brandl, last changed 2010-04-24 15:15 by tarek. This issue is now closed.

Files
File name Uploaded Description Edit
opt-ext.diff georg.brandl, 2009-03-28 00:42
Messages (3)
msg84293 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-03-28 00:42
Adds a new kwarg to the Extension constructor that does what Python's
own /setup.py does to ignore build failure in an extension with a warning.

I'm not sure if that's everything that's needed, but it seems to work in
a simple test case.
msg84938 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-03-31 22:38
done in r70910 and r70914
msg104093 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-04-24 15:15
Warning: reverted in trunk, now leaves in distutils2
History
Date User Action Args
2010-04-24 15:15:18tareksetmessages: + msg104093
components: + Distutils2
2009-03-31 22:38:31tareksetstatus: open -> closed
priority: normal
messages: + msg84938
2009-03-31 21:59:56tareklinkissue4706 superseder
2009-03-28 00:42:40georg.brandlcreate